curl -X POST https://api.tryprofound.com/v2/reports/sentiment \
-H "X-API-Key: <your-api-key>" \
-H "Content-Type: application/json" \
-d '{
"category_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"asset": "Profound",
"start_date": "2026-06-09",
"end_date": "2026-06-15"
}'
{
"info": {
"total_results": 1,
"count": 1,
"next_cursor": null,
"asset": "Profound",
"models": ["ChatGPT", "Google Gemini", "Perplexity", "Claude", "..."],
"metrics": ["positive_sentiment", "negative_sentiment"],
"start_date": "2026-06-09",
"end_date": "2026-06-15",
"filter": null
},
"data": [
{
"positive_sentiment": 79.1,
"negative_sentiment": 20.9
}
]
}
レポート v2
センチメント
POST
/
v2
/
reports
/
sentiment
curl -X POST https://api.tryprofound.com/v2/reports/sentiment \
-H "X-API-Key: <your-api-key>" \
-H "Content-Type: application/json" \
-d '{
"category_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"asset": "Profound",
"start_date": "2026-06-09",
"end_date": "2026-06-15"
}'
{
"info": {
"total_results": 1,
"count": 1,
"next_cursor": null,
"asset": "Profound",
"models": ["ChatGPT", "Google Gemini", "Perplexity", "Claude", "..."],
"metrics": ["positive_sentiment", "negative_sentiment"],
"start_date": "2026-06-09",
"end_date": "2026-06-15",
"filter": null
},
"data": [
{
"positive_sentiment": 79.1,
"negative_sentiment": 20.9
}
]
}
AI の回答、またはそれらの回答が引用するページから算出した、ブランドごとのセンチメントをパーセンテージで示します。
センチメントは一度に 1 つのブランドについて計算されるため、
asset は 必須 です。
source: "response"(デフォルト): AI の回答におけるセンチメント。指標はpositive_sentiment、negative_sentiment、およびオプトインのoccurrenceです。source: "citation": 引用ページごとに 1 行で、positive_sentiment、negative_sentiment、およびモデル間で均衡化されたcitation_shareを含みます。デフォルトではcitation_shareで並べ替えられます。ページのセンチメントで並べ替えるには、sort.fieldを明示的にpositive_sentimentに設定してください。- 比較期間:
comparison_start_dateとcomparison_end_dateを追加します。 回答の行には前期間のセンチメント指標が含まれます。引用の行には、そのページの 前期間のcitation_shareが含まれます。
topic、region、model、prompt、persona、tag、theme、claim、run、
competitor から最大 2 つの group_by ディメンションに加えて、date をサポートします。
引用のセンチメントはページ単位のみで、group_by は受け付けません。
ページの母集団を絞り込むにはフィルタを使用してください。
どちらのソースも、model、topic、region、persona、prompt、tag などのプロンプトレイヤーのフィルタと、
トップレベルの theme / claim フィルタを受け付けます。引用の
センチメントでは、さらに次のトップレベルフィルタも使用できます。
citation_category:isまたはin。値には組み込みカテゴリ (owned、competition、social、earned_media、earned_institutions、pr_wire、other) またはカスタムカテゴリの値を指定できます。page: 空でない値を 1 つ指定したcontains_case_insensitive。正規化された ページ URL を検索します。
include_cited_websites: true は、theme または claim (あるいはその両方) でグループ化した
回答のセンチメントにのみ適用されます。
引用のセンチメントは引用ページについて記述したものです。モデルフィルタは、どのモデルの引用が
ページの対象判定と引用シェアに寄与するかを変更しますが、
ページのセンチメントをモデル固有のセンチメントスコアに変えるものではありません。
v2 レポートを初めて使用する場合は、共通のリクエスト形式、フィルタツリー、グループ化、ページネーションについて フィルタリングと概念 を参照してください。
ストリーミング (SSE) バリアント (同じボディ、/stream)
ストリーミング (SSE) バリアント (同じボディ、/stream)
POST /v2/reports/sentiment/stream は回答と引用の両方のセンチメントに対応し、
Server-Sent Events を返します。
まず 1 つの summary イベント (info ブロック) が送信され、続いて行ごとに 1 つの result イベントが送信されます。
limit/cursor は無視され、デフォルトではすべての結果が返されます。上限を設けるには
max_results を指定します。source: "citation" の場合、各 result は
ページ分割エンドポイントの data で返されるものと同じページレベルの形式です。Response (text/event-stream)
event: summary
data: { ...the info block... }
event: result ← one per row, same shape as data[] above
data: {"theme": {"id": "a14e0c2d", "name": "Analytics"}, "rank": 1, "positive_sentiment": 95.4, "negative_sentiment": 4.6}
curl -X POST https://api.tryprofound.com/v2/reports/sentiment \
-H "X-API-Key: <your-api-key>" \
-H "Content-Type: application/json" \
-d '{
"category_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"asset": "Profound",
"start_date": "2026-06-09",
"end_date": "2026-06-15"
}'
{
"info": {
"total_results": 1,
"count": 1,
"next_cursor": null,
"asset": "Profound",
"models": ["ChatGPT", "Google Gemini", "Perplexity", "Claude", "..."],
"metrics": ["positive_sentiment", "negative_sentiment"],
"start_date": "2026-06-09",
"end_date": "2026-06-15",
"filter": null
},
"data": [
{
"positive_sentiment": 79.1,
"negative_sentiment": 20.9
}
]
}
引用ページの例
このリクエストは、tryprofound.com を含む自社所有のページを、現在の引用シェアの
順に返します。引用レイヤーのリーフは、トップレベルの and の下で
他のフィルタと組み合わせます。
cURL
curl -X POST https://api.tryprofound.com/v2/reports/sentiment \
-H "X-API-Key: <your-api-key>" \
-H "Content-Type: application/json" \
-d '{
"category_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"asset": "Profound",
"start_date": "2026-06-09",
"end_date": "2026-06-15",
"source": "citation",
"metrics": ["positive_sentiment", "negative_sentiment", "citation_share"],
"sort": {"field": "citation_share", "dir": "desc"},
"filter": {
"and": [
{"field": "citation_category", "op": "is", "value": "owned"},
{"field": "page", "op": "contains_case_insensitive", "value": "tryprofound.com"}
]
},
"limit": 10
}'
200
{
"info": {
"total_results": 1,
"count": 1,
"next_cursor": null,
"asset": "Profound",
"models": ["ChatGPT", "Google Gemini", "Perplexity", "..."],
"metrics": ["positive_sentiment", "negative_sentiment", "citation_share"],
"start_date": "2026-06-09",
"end_date": "2026-06-15",
"filter": {
"and": [
{"field": "citation_category", "op": "is", "value": "owned"},
{"field": "page", "op": "contains_case_insensitive", "value": "tryprofound.com"}
]
}
},
"data": [
{
"page": "tryprofound.com/",
"rank": 1,
"positive_sentiment": 100.0,
"negative_sentiment": 0.0,
"citation_share": 1.42
}
]
}
承認
APIKeyHeaderBearerAuth
ボディ
application/json
The brand name to analyze (sentiment is extracted on name, not id).
YYYY-MM-DD, ET, inclusive
YYYY-MM-DD, ET, inclusive
YYYY-MM-DD, ET, inclusive (with end).
YYYY-MM-DD, ET, inclusive (with start).
利用可能なオプション:
response, citation 利用可能なオプション:
date, model, topic, region, prompt, persona, tag, theme, claim, run, competitor 利用可能なオプション:
positive_sentiment, negative_sentiment, occurrence, citation_share 利用可能なオプション:
day, week, month A leaf (field/op/value) or an and/or/not group.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Return cited websites per row (only when grouping by theme/claim).
Page size; default 10, max 50.
必須範囲:
0 < x <= 50Stream endpoint only: cap the number of streamed rows (default: all).
必須範囲:
x > 0このページは役に立ちましたか?